Bug 432893 - Metacity hangs sometimes with accessibility enabled
Metacity hangs sometimes with accessibility enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 17:49 EST by Søren Sandmann Pedersen
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:25:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Søren Sandmann Pedersen 2008-02-14 17:49:41 EST
Accessibility is evil:


Description of problem:
#0  0x0000003c17edc3bf in poll () from /lib64/libc.so.6
#1  0x000000334083ab08 in ?? () from /lib64/libglib-2.0.so.0
#2  0x000000334083ae2b in g_main_context_iteration ()
#3  0x000000334482c0f4 in giop_recv_buffer_get ()
#4  0x0000003344830c65 in ORBit_small_invoke_stub ()
#5  0x000000334602ae3c in Accessibility_EventListener_notifyEvent ()
#6  0x00002aaaafff99cc in ?? ()
#7  0x00002aaaafffa0c3 in ?? ()
#8  0x00000033410210bb in ?? () from /lib64/libgobject-2.0.so.0
#9  0x0000003341022d04 in g_signal_emit_valist ()
#10 0x0000003341023293 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#11 0x000000334100b72d in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#12 0x00000033410215f0 in ?? () from /lib64/libgobject-2.0.so.0
#13 0x0000003341022d04 in g_signal_emit_valist ()
#14 0x00000033410230dd in g_signal_emit_by_name ()
#15 0x00002aaaafdd4fcb in ?? () from /usr/lib64/gtk-2.0/modules/libgail.so
#16 0x00000033410210bb in ?? () from /lib64/libgobject-2.0.so.0
#17 0x0000003341022d04 in g_signal_emit_valist ()
#18 0x0000003341023293 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#19 0x00000033b54f3938 in gtk_widget_show ()
#20 0x00000033b52d3137 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#21 0x00000033b54f3dba in gtk_widget_show_all ()
#22 0x0000000000427963 in g_object_unref ()
#23 0x0000000000428459 in g_object_unref ()
#24 0x000000000041c9de in g_object_unref ()
#25 0x00000000004630e6 in g_object_unref ()
#26 0x00000033b4e543a3 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#27 0x00000033b4e55127 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#28 0x00000033b4e57c2e in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#29 0x00000033b4e57e04 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#30 0x000000334083748b in g_main_context_dispatch ()
Comment 1 Søren Sandmann Pedersen 2008-02-14 18:01:35 EST
This happens especially when switching from Emacs
Comment 2 Bug Zapper 2008-05-14 01:12:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:33:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:25:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.